//########################
//選択された文字をルビにします。
//誕生日/たんじょうび
//を選択すると誕生日にグループルビが付きます。
//誕生日/たん.じょう.び
//を選択すると誕生日にモノルビが付きます。
//たけうちとおる
//########################

var myDocu=app.activeDocument;
var selList=myDocu.selection;
var itemCount=selList.length;
if(itemCount==0){
	alert("テキストフレームを選択ツールで選択してください。");
}

var myStr = selList[0].contents;
var strAry = myStr.split ("/");
var kanji = strAry[0];
var kanjiCount = kanji.length;
var kana = strAry[1];
var kanaAry = kana.split(".");
var rubyCount = kanaAry.length;
if(rubyCount == 0){
	alert("「誕生日/たん,じょう,び」のようにしてください。");
}else if(rubyCount == 1){
	selList[0].characters.itemByRange(0, kanjiCount-1).rubyString = kana;
	selList[0].characters.itemByRange(0, kanjiCount-1).rubyType = RubyTypes.GROUP_RUBY;
	selList[0].characters.itemByRange(0, kanjiCount-1).rubyFlag = true;
	selList[0].characters.itemByRange(kanjiCount, -1).contents = "";
}else{
	for(var i = 0; i < kanjiCount;i++){
		selList[0].characters[i].rubyString = kanaAry[i];
		selList[0].characters[i].rubyFlag = true;
	}
	selList[0].characters.itemByRange(kanjiCount, -1).contents = "";
}